import time

from defence360agent.api import health
from defence360agent.rpc_tools.lookup import RootEndpoints, bind
from defence360agent.utils import Scope


class HealthEndpoints(RootEndpoints):
    SCOPE = Scope.IM360

    @bind("health")
    async def health(self):
        h = health.sensor.status(time.time())
        return h._asdict()
